Package org.apache.qpid.proton.codec

# Class UnsignedIntegerType

java.lang.Object
org.apache.qpid.proton.codec.UnsignedIntegerType

All Implemented Interfaces:
  `AMQPType<UnsignedInteger>`, `PrimitiveType<UnsignedInteger>`

public class UnsignedIntegerType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`UnsignedIntegerType.UnsignedIntegerEncoding`

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, UnsignedInteger value)`
`Collection<UnsignedIntegerType.UnsignedIntegerEncoding>`
`getAllEncodings()`
`UnsignedIntegerType.UnsignedIntegerEncoding`
`getCanonicalEncoding()`
`UnsignedIntegerType.UnsignedIntegerEncoding`
`getEncoding(UnsignedInteger val)`
`Class<UnsignedInteger>`
`getTypeClass()`
`final void`
`write(UnsignedInteger val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<UnsignedInteger> getTypeClass()

### getEncoding

public UnsignedIntegerType.UnsignedIntegerEncoding getEncoding(UnsignedInteger val)

### fastWrite

public void fastWrite(EncoderImpl encoder, UnsignedInteger value)

### getCanonicalEncoding

public UnsignedIntegerType.UnsignedIntegerEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<UnsignedIntegerType.UnsignedIntegerEncoding> getAllEncodings()

### write

public final void write(UnsignedInteger val)

Specified by:
  `write` in interface `AMQPType<T>`